from sqlalchemy.orm import Session

from . import models, schemas


def get_pic(db: Session, pic_id: int):
    return db.query(models.Pic).filter(models.Pic.id == pic_id).first()


def get_pic_by_path(db: Session, file_path: int):
    return db.query(models.Pic).filter(models.Pic.file_path == file_path).first()


def get_pics(db: Session, skip: int = 0, limit: int = 100):
    return db.query(models.Pic).offset(skip).limit(limit).all()


def create_pic(db: Session, pic: schemas.PicCreate):
    db_pic = models.Pic(file_path=pic.file_path,
                        file_name=pic.file_name, upload_time=pic.upload_time)
    db.add(db_pic)
    db.commit()
    return db_pic
# def create_pic(db:Session,pic:schemas.)
# def get_user(db: Session, user_id: int):
#     return db.query(models.User).filter(models.User.id == user_id).first()

# def get_user_by_email(db: Session, email: str):
#     return db.query(models.User).filter(models.User.email == email).first()

# def get_users(db: Session, skip: int = 0, limit: int = 100):
#     return db.query(models.User).offset(skip).limit(limit).all()

# def create_user(db: Session, user: schemas.UserCreate):
#     fake_hashed_password = user.password + "notreallyhashed"
#     db_user = models.User(
#         email=user.email, hashed_password=fake_hashed_password)
#     db.add(db_user)
#     db.commit()
#     db.refresh(db_user)
#     return db_user

# def get_items(db: Session, skip: int = 0, limit: int = 100):
#     return db.query(models.Item).offset(skip).limit(limit).all()

# def create_user_item(db: Session, item: schemas.ItemCreate, user_id: int):
#     db_item = models.Item(**item.dict(), owner_id=user_id)
#     db.add(db_item)
#     db.commit()
#     db.refresh(db_item)
#     return db_item
